0

当我在视图中使用$errors时,laravel会报错,提醒$errors未定义,服务器端环境为Homestead4.0.0,Laravel版本为5.2。
我看5.2手册中说明$errors在每个视图中均可用啊,请问这是怎么一回事啊?

4个回答

3

已采纳

问题解决了,虽然不是@rainwsy和@hi两位说的问题,但是很感谢回答。
造成这个问题的原因是5.2源码改动,但是手册里面又没有写清楚,或者我没有看清楚,现将解决办法贴下来,供有相同需求的朋友一览:

This is a breaking problem with the 5.2 upgrade. What's happening is the middleware which is responsible for making that errors variable available to all your views is not being utilized because it was moved from the global middleware to the web middleware group.

There are two ways to fix this:

  1. In your kernel.php file, you can move the middleware \Illuminate\View\Middleware\ShareErrorsFromSession::class back to the protected $middleware property.

  2. You can wrap all your web routes with a route group and apply the web middleware to them.

Route::group(['middleware' => 'web'], function() {
       // Place all your web routes here...
     });

原文地址:Laravel 5.2 $errors not appearing in Blade

0

你要判断有错误才输出显示

@if (count($errors) > 0)
<div class="alert alert-danger">
    <strong>Whoops!</strong> There were some problems with your input.<br>
    <br>
    <ul>
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li> 
        @endforeach
    </ul>
</div>
@endif
0

楼主解决得不错,赞一个

撰写答案